using System;
using System.Reflection;

using Reflector.Disassembler;

namespace Lazy
{
	/// <summary>
	/// AssemblyProvider for ILReader
	/// </summary>
	
	sealed class AssemblyProvider : IAssemblyProvider
	{
		public Assembly Load(string assemblyName) {
			return Assembly.Load(assemblyName);	
		}
		
		public Assembly[] GetAssemblies() {
			throw new NotImplementedException();	
		}
	}

	
}
