using System;

using NUnit.Framework;

using Lazy;

namespace Lazy.Test
{
	/// <summary>
	/// Descripcin breve de LazyObjectModelTest.
	/// </summary>
	
	[TestFixture]
	public class LazyObjectModelTest
	{
		[Test]
		public void TestLazyClass () {
			LazyObjectModel model = new LazyObjectModel(typeof(LazyClass));

			Assertion.AssertEquals(typeof(LazyClass), model.Type);
			Assertion.AssertEquals(true, model.IsLazy());
			Assertion.AssertEquals(4, model.FieldCount);
			Assertion.AssertEquals(10, model.MethodCount);  // Constructor + 9 methods

		}
	}
}
